const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_5 = z.x;
    v1_4e = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_4e & -0xff01 | v1_4e / 2 & 0x7f00;
    if v1_4e & 256 != 0:;
        pass;
    v1_5a = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_5a & -0xff01 | v1_5a / 2 & 0x7f00;
    v1_66 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+66;
    z.x = z.x & -0x10000 | v1_66 & -0xff01 | v1_66 / 2 & 0x7f00;
    v1_72 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+72;
    z.x = z.x & -0x10000 | v1_72 & -0xff01 | v1_72 / 2 & 0x7f00;
    v3_ba = z.z + 8;
    *v3_ba = *((arg1[48] - 16)) * *v3_ba;
    v4_dd = 0.0;
    st7_global_2d_to_2d_local = v4_dd # st7;
    *z.y = v4_dd;
    *v0_5 = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = v0_5;
    return v0_5;


	}